%define module	Digest-BubbleBabble
%define name	perl-%{module}
%define version 0.01
%define release %mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Summary:	Create bubble-babble fingerprints
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/B/BT/BTROTT/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Digest::BubbleBabble takes a message digest (generated by either of the MD5 or
SHA-1 message digest algorithms) and creates a fingerprint of that digest in
"bubble babble" format. Bubble babble is a method of representing a message
digest as a string of "real" words, to make the fingerprint easier to remember.
The "words" are not necessarily real words, but they look more like words than
a string of hex characters.

Bubble babble fingerprinting is used by the SSH2 suite (and, consequently, by
Net::SSH::Perl, the Perl SSH implementation) to display easy-to-remember key
fingerprints. The key (a DSA or RSA key) is converted into a textual form,
digested using Digest::SHA1, and run through bubblebabble to create the key
fingerprint.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Digest
%{_mandir}/man*/*

%changelog
* Wed Nov 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-5mdk
- spec cleanup
- better summary
- better description
- rpmbuildupdate aware
- fix directory owbership
- %%mkrel

* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.01-4mdk
- rpmbuildupdated

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.01-3mdk
- rebuild for new perl
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.01-2mdk
- rebuild for new auto{prov,req}

* Sat Apr 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.01-1mdk
- initial cooker contrib.
